%define majver %(echo %version | cut -d. -f1-2)

Name:          kitemviews
Version:       5.11.0
Release:       1mamba
Summary:       Set of item views extending the Qt model-view framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kitemviews-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: libQt5Gui
BuildRequires: libQt5Widgets
BuildRequires: libQt5Core
BuildRequires: libQt5Test
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KItemViews includes a set of views, which can be used with item models.
It includes views for categorizing lists and to add search filters to flat and hierarchical lists.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Set of item views extending the Qt model-view framework

%description -n lib%{name}
KItemViews includes a set of views, which can be used with item models.
It includes views for categorizing lists and to add search filters to flat and hierarchical lists.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kitemviews5_qt --with-qt --all-name || touch kitemviews5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f kitemviews5_qt.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5ItemViews.so.*
%doc COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KItemViews
%{_kde5_includedir}/kitemviews_version.h
%{_kde5_libdir}/cmake/KF5ItemViews
%{_kde5_libdir}/libKF5ItemViews.so
%{_kde5_mkspecsdir}/qt_KItemViews.pri
%doc README.md

%changelog
* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sun Apr 26 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-4mamba
- standardize the specfile
- add some missing build requirements

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-3mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
